{% extends "base.html" %}
{% block content %}
{% load static %}
<div class="container-jadwal">
    <h1 style="padding-top: 9vh;">Jadwalku</h1>
    <div class="row">
        <div class="col">
            <p>Today - {{ server_time }}</p>
        </div>
        <div class="col">
            <a href="create">
                <button class="button-jadwal">Create Jadwal</button>
            </a>
        </div>
    </div>
    <h1 style="text-align: center;">---Top Priority---</h1>
    {% for j in jadwal %}
    {% if j.category == "penting" or j.category == "Penting"  or j.category == "PENTING"%}
        <div class="jadwal-box">
            <h3>{{ j.name }}</h3>
            <h4>Status: {{ j.category }}</h4>
            <div class="flex">
                <div>
                    <p>{{ j.desc }}</p>
                    <span></span>
                    <span></span>
                    <h4>Di {{ j.location }}</h4>
                    <p>{{ j.date }} - {{ j.time }}</p>
                </div>
                <form action="delete" method="POST" >
                    {% csrf_token %}
                    <input type="hidden" value="{{ j.id }}" name="id" />
                    <input class="button-jadwal delete" type="submit" value="Delete" />
                </form>
            </div>
        </div>
    {% endif %}
    {% endfor %}
    <h1 style="text-align: center;">--- Not Prioritized---</h1>
    {% for j in jadwal %}
    {% if j.category != "penting" and j.category != "Penting"  and j.category != "PENTING"%}
        <div class="jadwal-box">
            <h3>{{ j.name }}</h3>
            <h4>Status: {{ j.category }}</h4>
            <div class="flex">
                <div>
                    <p>{{ j.desc }}</p>
                    <span></span>
                    <span></span>
                    <h4>Di {{ j.location }}</h4>
                    <p>{{ j.date }} - {{ j.time }}</p>
                </div>
                <form action="delete" method="POST" >
                    {% csrf_token %}
                    <input type="hidden" value="{{ j.id }}" name="id" />
                    <input class="button-jadwal delete" type="submit" value="Delete" />
                </form>
            </div>
        </div>
    {% endif %}
    {% endfor %}
</div>
{% endblock %}